Download it now!
Bug 116928 - EDITING Calc crashes after long file name is supplied in the insert hyperlink dialog
Summary: EDITING Calc crashes after long file name is supplied in the insert hyperlink...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-10 17:17 UTC by Emil Tanev
Modified: 2018-04-23 08:41 UTC (History)
2 users (show)

See Also:
Crash report or crash signature: ["RadioButton::IsChecked()"]


Attachments
file to paste (700 bytes, text/plain)
2018-04-10 17:17 UTC, Emil Tanev
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Emil Tanev 2018-04-10 17:17:34 UTC
Created attachment 141267 [details]
file to paste

Open Calc
From the toolbar, select Insert hyperlink
Select New document
Paste the attached file content  (700 characters) in the File field
Click OK
Error message appears
Close the Calc file, without saving
Click OK in the error message window
Issue: crash

https://screencast-o-matic.com/watch/cFf6b6DNrP
Comment 1 Emil Tanev 2018-04-10 17:37:14 UTC
Version: 6.1.0.0.alpha0+ (x64)
Build ID: d39a8e791618a40328c0f90bece3cc246dcf57f7
CPU threads: 4; OS: Windows 10.0; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master
Locale: en-US (en_US); Calc: group
Comment 2 Arnaud Versini 2018-04-14 13:39:01 UTC
Confirmed on openSUSE Tumbleweed with the "?" menu when the menu location is near the second screen. Also confirmed on other applications on Windows yesterday.
Comment 3 Xisco Faulí 2018-04-17 09:51:25 UTC
Reproduced back to 

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 4 Xisco Faulí 2018-04-17 10:02:29 UTC
I think this is one of those crashes happening when the error dialog is being closed and its parent has been already destroyed

@Caolán, one for you?
Comment 5 Caolán McNamara 2018-04-17 16:05:13 UTC
that's part of the problem anyway, I think I can solve this case
Comment 6 Commit Notification 2018-04-17 19:41:27 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=effa599086c38b3391d03dc5b6770b523e886b60

Related: tdf#116928 set specific parent for document warning dialog

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2018-04-17 19:42:51 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e3e447ed6fcbdf22c16fbe78c0dcf944bedac39a

Resolves: tdf#116928 dispatch hyperlink dialog new doc in idle callback

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2018-04-20 09:53:13 UTC
I can no longer reproduce it in

Version: 6.1.0.0.alpha0+
Build ID: ffa6c70deb054c0dff4aab5a6ba5a03d0225d32d
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

@Caolán, should it be closed as RESOLVED FIXED ?
Comment 9 Caolán McNamara 2018-04-20 10:49:29 UTC
yeah, that should do it